### Class

# WebKit URIResponse

#### Description [src]

    final class WebKit.URIResponse : GObject.Object
    {
      /* No available fields */
    }

Represents an URI response.

A `WebKitURIResponse` contains information such as the URI, the status code, the content length, the mime type, the HTTP status or the suggested filename.

#### Ancestors

- GObject

#### Instance methods

###### webkit_uri_response_get_content_length

Get the expected content length of the `WebKitURIResponse`.

###### webkit_uri_response_get_http_headers

Get the HTTP headers of a `WebKitURIResponse` as a `SoupMessageHeaders`.

since: 2.6

###### webkit_uri_response_get_mime_type

Gets the MIME type of the response.

###### webkit_uri_response_get_status_code

Get the status code of the `WebKitURIResponse`.

###### webkit_uri_response_get_suggested_filename

Get the suggested filename for `response`.

###### webkit_uri_response_get_uri

Gets the URI which resulted in the response.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit.URIResponse:content-length

The expected content length of the response.

###### WebKit.URIResponse:http-headers

The HTTP headers of the response, or `NULL` if the response is not an HTTP response.

since: 2.6

###### WebKit.URIResponse:mime-type

The MIME type of the response.

###### WebKit.URIResponse:status-code

The status code of the response as returned by the server.

###### WebKit.URIResponse:suggested-filename

The suggested filename for the URI response.

###### WebKit.URIResponse:uri

The URI for which the response was made.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKitURIResponseClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.